import { BaseXform } from "@excel/xlsx/xform/base-xform";
interface AppModel {
    worksheets: any[];
    company?: string;
    manager?: string;
}
declare class AppXform extends BaseXform {
    map: {
        [key: string]: any;
    };
    parser: any;
    constructor();
    render(xmlStream: any, model: AppModel): void;
    parseOpen(node: any): boolean;
    parseText(text: string): void;
    parseClose(name: string): boolean;
    static DateFormat: (dt: Date) => string;
    static DateAttrs: {
        "xsi:type": string;
    };
    static PROPERTY_ATTRIBUTES: {
        xmlns: string;
        "xmlns:vt": string;
    };
}
export { AppXform };
